Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Task Templates - Workflow Templates API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List the relations with workflow templates that include the task template with a specific ID.

GET /task_templates/:id/workflow_templates
Status: 200 OK
[
{
"id": 281,
"sourceID": null,
"subject": "Non-standard infrastructure change",
"service": null,
"created_at": "2015-12-10T19:18:39-06:00",
"updated_at": "2015-12-10T19:18:39-06:00"
},
{
"id": 704,
"sourceID": null,
"subject": "Unix software patch or minor upgrade",
"service": {
"id": 39,
"name": "Unix Server",
"provider": {
"id": 44,
"name": "Widget Data Center, External IT",
"account": {
"id": "pro-product",
"name": "Widget International"
}
},
"localized_name": "Unix Server"
},
"created_at": "2015-12-10T19:18:39-06:00",
"updated_at": "2015-12-10T19:18:39-06:00"
}
]

The response contains these fields by default.

The following predefined filters are available:

  • /task_templates/:id/workflow_templates/disabled : List all disabled workflow templates of a task template with a specific ID
  • /task_templates/:id/workflow_templates/enabled : List all enabled workflow templates of a task template with a specific ID